Subject: [tsvwg] TSVWG Status Summary - 15 June 2019

From: Gorry Fairhurst <[email-masked]>
Date: Sat, 15 Jun 2019 08:53:06 +0100

Hi TSVWG'ers,

This is a request for people with topics they think it would be useful 
to be presented to the TSVWG working group at the Montreal IETF. If you 
edit a WG draft, we expect an update. Please do let us know how much 
time you think is needed, and the key points to be addressed.

If you wish to present on another topic, or another non-WG draft please 
contact and let us know what you would like to present. Please also be 
sure to discuss the topic on the tsvwg prior to this meeting.

As ever, priority, as ever will be given to drafts that have been 
discussed on the list and that are expected to benefit from WG 
discussion time.

Gorry, David and Wes
(TSVWG Co-Chairs)

============================================
TSVWG Status Summary

This is a summary of detailed status of the working group documents as 
we see it.

Please check below and comment on drafts using the list. Please do send 
any corrections/omissions to the chairs.

Gorry, David and Wes
(TSVWG Chairs)
June 2019
-------------------------------------------------------------------

*** Documents recently published:

RFC 8436 Document Shepherd: David

Documents published:
RFC 7496 Document Shepherd: Gorry
RFC 7605 Document Shepherd: Gorry
RFC 7857 Document Shepherd: David
RFC 7829 Document Shepherd: Gorry
RFC 8084 Document Shepherd: David
RFC 8085 Document Shepherd: David
RFC 8086 Document Shepherd: David
RFC 8100 Document Shepherd: Gorry
RFC 8260 Document Shepherd: Gorry
RFC 8261 Document Shepherd: Gorry
RFC 8325 Document Shepherd: David
RFC 8311 Document Shepherd: Gorry

------
IDs in RFC Editor Queue (http://www.rfc-editor.org/queue.html) :

draft-ietf-tsvwg-rtcweb-qos - PS - Document Shepherd: David
  - Approved, announcement 8th August 2016
  - RFC Editor: MISSREF - part of large rtcweb drafts hairball/tarball 
(C238)
  - Chairs need to work with AD to  request an RFC Ed note to cover the 
LE PHB
.draft-ietf-tsvwg-le-phb - PS - Document Shepherd: David
----------------------------------------------------------

*** IDs in IESG Evaluation:

---
draft-ietf-tsvwg-rlc-fec-scheme - Document Shepherd: Wes
replaces - draft-roca-tsvwg-rlc-fec-scheme
IETF-98 10 people had interest in work on this topic.
Reviewers:
+ Marie-José Montpeti
+ Emmanuel Lochin
+ Jonathan Detchart
+ Ali Begen
Completed WGLC with comments.
Shepherd review completed. Revised ID published.
IESG Evaluation.
Announcement blocked on IESG approval of fecframe-ext draft.
---
draft-ietf-tsvwg-fecframe-ext  - Document Shepherd: Wes
replaces - draft-roca-tsvwg-fecframev2
IETF-97 (Seoul), presented - could this be an update rather than bis?
Adoption call requested by authors
IETF-98 10 people had interest in work on this topic.
Reviewers:
+ Marie-José Montpeti
+ Emmanuel Lochin
+ Jonathan Detchart
Completed WGLC with comments.
Shepherd review completed.
IESG Evaluation found a copyright issue, necessitating splitting the 
tinymt32 PRNG code out into a separate draft.
Announcement blocked on IESG approval of draft-ietf-tsvwg-tinymt32
Approved-announcement to be sent::Point Raised - writeup needed
---
draft-ietf-tsvwg-tinymt32
Discussed IETF 104
Adopted 01,  intended for publication as a PS RFC
WGLC: Last Call ends 2019-05-13
IESG Evaluation - Telechat scheduled for 2019-05-30
IESG Evaluation::AD FollowupRevisions being discussed.
--------------------------
*** WG Drafts with Chairs:
---

draft-ietf-tsvwg-rfc6040update-shim-00 - PS - Document Shepherd: David
Replaces: draft-briscoe-tsvwg-rfc6040bis
Replaces: draft-ietf-tsvwg-rfc6040-update
Topic thought to fall within TSVWG charter
Support for this work noted (Berlin IETF, 2016)
- to be published as a pair with ecn encaps.
An adoption call was started on list by the Chairs until 22nd August 2016,
concluded and adopted.
Adopted,  intended for publication as a PS RFC
WG work item - new-revision submitted
++ Randal Stewart will review
++ Randal Jessup will review
IETF-97 (Seoul) presented
Renamed as draft-ietf-tsvwg-rfc6040update-shim - 15th Nov 2016.
WGLC closed 7 September 2018
Second WGLC, with reviewers
+ AM Completed review

WGLC Concluded 17-May-2019, open issue about nature of updates to RFC 6040.
DUE: Revised draft and WG Shepherd writeup

--------------------------

draft-ietf-tsvwg-ecn-encap-guidelines - BCP - Document Shepherd: David
Replaces: draft-briscoe-tsvwg-ecn-encap-guidelines
-00 Presented in Prague, IETF-80.
- comments at IETF-80 (see minutes)
New ID presented in Atlanta, IETF-85. ID presented in IETF-88,89
-  forward an appropriate message (perhaps your note to the mailing list for
approval to adopt) to [email-masked])
++ Reviewers: Andrew McGregor, Dirk Kutscher, (Richard Sheffnegger), 
Brian Trammell,
Gorry.
Mar 2014, WG Call for adoption started, to end 4th March 2014
19 for, 1 against. 8 echoed on the list
Adoption call concluded and document adopted.
- ecn-encap-guidelines and AQM are the main new things they need to know 
about.
on <http://www.ietf.org/proceedings/86/train-3.html>IEEE802.1Q)
Liaison sent to IEEE 802 (Nov  24, 2014).
Liaison sent to 3GPP (August 2015)
Oct 2015 - Draft updated for Yokohama meetings.  Not sure about INT Area 
presentation.
Need some more soak time for 3GPP Liaison.
3GPP liaison statement
People who volunteered to review:
* Andrew McGregor, Google
* Dirk Kutscher, NEC
* (I've also just asked Ingemar Johansson to volunteer)
Support on list
* Matt Mathis, Google * Richard Scheffenegger, NetApp * Michael Welzl, 
Uni Oslo
* Wei Xin Peng, Huawei * Rong Pan, Cisco * Michael Menth, Tubingen Uni
* Zhu Lei, Huawei * Piers O'Hanlon, UCL * Philip Eardley, BT
* Suresh Krishnan * An Nguyen, DHS/OEC * Vinay Bannai, Paypal
* Mirja Kuehlewind, Stuttgart Uni, Ruediger Geib, DT
Non-supportive of a doc solely about ECN.
* Joe Touch, ISI
IETF-98 (Chicago) Chairs will talk to TRILL chairs and try to get both 
into WGLC.
Document waiting for completion of draft-ietf-tsvwg-rfc6040update-shim
WGLC with 6040update shim draft
WGLC closed 7 September 2018
Second WGLC with agreed reviewers
+ Richard S - completed review with followup
+ D Black - completed review
+ A McG - completed review with follow-up.
WGLC Concluded 17-May-2019
DUE: Revised draft and WG Shepherd writeup
--------------------------
*** WGLC - Please review and send comments to the list
- Currently none.
----

*** Working Group documents - Please comment on the list

---

draft-ietf-tsvwg-transport-encrypt Document Shepherd: David
Support noted in INTAREA presentation (IETF-100)
Presented in TSVWG, IETF-100
Adoption requested by authors, will be taken up in IETF-102 meeting.
Review received from Kathleen Moriarty
Review received from Al Morton.
Support for adoption indicated during WG meeting in Montreal, confirmed 
on list.
Sept 2018 Adopted.
Reviewers:
+ Early SecDir review - Chris Wood (Done).
+ ART review requested.
Revised-ID submitted: Comments after discussion on list.
DUE: Please discuss on the TSVWG list: Work considered ready for review.

---
draft-ietf-tsvwg-l4s-arch - Document Shepherd: Wes
Replaces draft-briscoe-tsvwg-l4s-arch
IETF-96, Previous version discussed at L4S BoF
IETF-97 (Seoul), presented.
IETF-98 (Chicago) 10 people had red the draft, clear support for adoption.
Adopted.
IETF-103: Only a few people had read rev -03. This is mostly stable.
Reviewers:
+ Michael Abrahamsson - Review completed
+ Richard Scheffenegger - PENDING
+ Greg White - Review completed
+ INTAREA - to request at next IETF meeting
DUE: Work considered ready for review; Please discuss on the TSVWG list.
---
draft-ietf-tsvwg-ecn-l4s-id - Document Shepherd: Wes
Replaces draft-briscoe-tsvwg-ecn-l4s-id
New draft Nov-2914: Identifying Modified Explicit Congestion 
Notification (ECN)
Semantics for Ultra-Low Queuing Delay
IETF-96, Previous version discussed at L4S BoF
IETF-97 (Seoul), presented.
IETF-98 (Chicago) 10 people had red the draft, clear support for adoption.
Adopted by tsvwg
IETF-102 introdueced "RACK-Like requirement for transport"
Reviewers:
+ G Fairhurst - Review completed
+ Ingemar Johansson - Review completed
+ Praveen Balasubramanian - Review completed
+ Michael Scharff (individual) - clarify dependency on AccECN ++++++++
DUE: Work considered ready for review; Please discuss on the TSVWG list.
---
draft-ietf-tsvwg-dualq-coupled  - Document Shepherd: Wes
Replaces: draft-briscoe-aqm-dualq-coupled
Currently individual draft, TSVWG will consider this.
- requires update to base ECN RFC - see separate draft.
*** IPR related to this draft was submitted: September 16, 2015 
(Reasonable and
Non-Discriminatory License to All Implementers with Possible 
Royalty/Fee) ***
Updated -01 March 2016, discussed on the AQM WG list.
IETF-97 (Seoul), presented, new research results (Nov 2016)
IETF-98 (Chicago) 10 people had read the draft, clear support for adoption.
Adopted by tsvwg
IETF-103: No people had read latest version, 8 people promised.
Reviewers:
+ David Pullen - Review completed
+ Nicolas Kuhn - Review completed
DUE: Please discuss on the TSVWG list: Work considered ready for review.
---

draft-ietf-tsvwg-datagram-plpmtud - PS - Document Shepherd: David
Replaces: draft-fairhurst-tsvwg-datagram-plpmtud-02
Support noted in INTAREA presentation (IETF-100)
Presented in TSVWG, IETF-100
Thought to be within charter of TSVWG.
DUE: Dec 2018: Adoption call completed, confirmed on TSVWG list
Reviewers: Not yet requested.
+ Joe Touch (will review)
+ Wes Eddy  (will review)
+ Vincent Roca (will review)
+ Taksim Proshin (will review)
+ Ruediger Geib (will review)
Revised-ID submitted: Comments after discussion on list.
DUE: Work considered ready for review; Please discuss on the TSVWG list.
---

draft-ietf-tsvwg-tunnel-congestion-feedback  - Document Shepherd: David
Replaces: draft-wei-tsvwg-tunnel-congestion-feedback
- Thought to fall within TSVWG charter, comments welcome on tsvwg list.
- IETF 91: Authors will work w/Bob Briscoe, who has a related individual 
draft
for conex, on feedback mechanisms.  Goal is concrete action taken based 
on detected
problems that can be used from other drafts by reference.  Also have to 
deal with
possibility of dropped packets within tunnel.  Draft returned to Working 
Group,
will need a second WGLC after it is revised.
*** NOTE: 2 IPR declarations relate to the work of this draft ***
November 2016: WGLC, but not enough reviews.  Two reviewers were found 
in Seoul
(Bob Briscoe, Jake Holland) - need reviews before considering progress.
Document with WG Chairs - worked out use cases required to take draft 
forward.
IETF-101: Don Eastlake and Andy Malis have an SFC load balancing use 
case for this,
will work with authors.
IETF-104: Nascent LOOPS effort is also interested in this draft, appears 
to hae
a use case, draft resurrected as a result. For info on LOOPs, contact
Carsten Bormann or Yizhou Li.
DUE: Please discuss on the TSVWG list.

---
draft-ietf-tsvwg-natsupp - PS - Document Shepherd: Gorry
Replaces: draft-stewart-natsupp-tsvwg
Dependency from BEHAVE WG (no longer applicable).
Adopted as a work item 21 Sept 2010 (Gorry).
WG -00, 29/11/2010 Uploaded as: draft-ietf-natsupp-tsvwg
Authors restructured draft (-03)
Added support for single and multi-homed support.
IETF-86: 3 people in meeting had read -04 or -05.
Feb 2014, Authors please update following comments and align to related 
draft on
SCTP NAT (conflicts found in language)
Authors expected to produce a single document to replace both.
++ Dan Wing has committed to review this.
++ Fred Baker has committed to review this.
Separated the simpler case for single-homed use - this separation should 
be clear.
March 2015 document restructured and merged with draft-ietf-tsvwg-sctpnat
March 2015, initial review by Gorry - need to consider helping NAT 
vendors access
the recommendations.
+ Gorry, Karen: Minor Nits,
Scope of IPv4 NAT discussed in Prague IETF and still thought within Charter.
Authors expect to complete by May 2018.
WG Chair comments pending a WGLC.
DUE: Revised ID-needed.
---
draft-ietf-tsvwg-udp-options - Document Shepherd: Gorry
Replaces: draft-touch-tsvwg-udp-options
Transport Options for UDP
- Presentation at IETF Nov 2015.
Topic thought to fall within TSVWG charter
Discussed IETF-96 (Berlin)
IETF-97 (Seoul) presented - no comments.
IETF-98 (Chicago) 5 + 1 jabber interested in this topic, 1 thought we 
shouldn't
Comments on security model and discussed on list
Adoption call until 31st May 2017 - Closed
Tom Jones - supports adoption (will try an implementation)
Adopted.
Reviewers:
+ Tom Herbert (will review)
+ Mike Heard (will review)
+ D Fawcus (will review)
Milestone updated.

DUE: Revised-ID needed to incorporate feedback.
DUE: Please discuss on the TSVWG list: Work considered ready for review.

---
draft-ietf-tsvwg-rfc4960-bis-01  Document Shepherd: Gorry
SCTP.bis
Adoped November 2018.
DUE: Revised-ID needed.
DUE: Please discuss on the TSVWG list.
-------------------------------
Drafts under consideration by WG for adoption:
draft-white-tsvwg-nqb
Identifying and Handling Non-Queue Building Flows
Presented ITF-103
DUE: Adoption requested by authors, please read for next meeting.
-------------------------------
Other drafts and work items linked to TSVWG:
---
draft-henry-tsvwg-diffserv-to-qci-01
Diffserv to QCI Mapping
- Discussed IETF-103, need to determine relationship to 3GPP Specs.
DUE: Please discuss on the TSVWG list.
---
draft-white-tsvwg-lld-00
Low Latency DOCSIS - Technology Overview
DUE: Please discuss on the TSVWG list.
---
draft-white-tsvwg-nqb-01
Identifying and Handling Non Queue Building Flows in a Bottleneck Link
- Discussed IETF-103.
DUE: Please discuss on the TSVWG list.
---
draft-morton-taht-tsvwg-sce-00
The Some Congestion Experienced ECN Codepoint
- Discussed IETF-104.
DUE: Please discuss on the TSVWG list.
---
draft-tuexen-tsvwg-sctp-udp-encaps-cons  - Document Shepherd: N/A.
- Thought to fall within TSVWG charter.
- Presented to TSVWG in Buenos Aires (April 2016)
- Update at Soul IETF (Nov 2016)
- This list or errata will not be published as a RFC, it will be 
replaced by a .bis document.
DUE: Please discuss on the TSVWG list.
---
draft-proshin-tsvwg-sctp-rtx-bit-01
Retransmit bit for SCTP DATA, I-DATA and SACK
DUE: Please discuss on the TSVWG list.
---
draft-jovev-tsvwg-sctp-rto-04
Determining SCTP's Retransmission Timer
DUE: Please discuss on the TSVWG list.
---
Liaisons:
ITU-T Study Group 12 Liaison on QoS Classes & markings for interconnection
IEEE liaison to support L2/L3 work on ECN marking
3GPP liaison to support L2/L3 work on ECN marking
==================================================================

---

From: "Jerome Henry (jerhenry)" <[email-masked]>
Date: Tue, 18 Jun 2019 00:13:46 +0000

Hello Gorry, David and Wes,

Thank you for providing this opportunity to the group!
As you saw, we had quite some exchanges on the DiffServ to QCI draft, we believe that it might be useful to discuss the general goals, and what has been done (e.g. dialogs with 3GPP), would you consider allocating some time to thos topic?

Thank you!

Jerome 

On 6/15/19, 3:53 AM, "tsvwg on behalf of Gorry Fairhurst" <[email-masked] on behalf of [email-masked]> wrote:

    Hi TSVWG'ers,

    
    
    Gorry, David and Wes
    (TSVWG Co-Chairs)

    
    
    Gorry, David and Wes
    (TSVWG Chairs)
    June 2019

    
    Documents published:
    
    ------
    
    ..draft-ietf-tsvwg-le-phb - PS - Document Shepherd: David

    ---

    

    
    ---

    ---

    
    ---

    ---